

Summary: An implementation of the Object Exchange (OBEX) protocol 
Name:	 openobex1
Version: 1.1
Release: 1%{?dist}

License: GPL/LGPL
Group:	 System Environment/Libraries
URL:	 http://www.openobex.org/
Source:  http://dl.sourceforge.net/sourceforge/openobex/openobex-1.1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: openobex = 1.1

BuildRequires: bluez-libs-devel
BuildRequires: libusb-devel >= 0.1.7

%description
%{summary}.


%package devel
Summary: Header and library files for %{name}
Group:   Development/Libraries
Conflicts: openobex-devel
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
%{summary}.



%prep
%setup -q -n openobex-%{version}


%build
%configure \
  --disable-rpath \
  --disable-static \
  --disable-debug --disable-warnings \
  --enable-bluetooth \
  --enable-usb

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so


%changelog
* Wed Mar 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.1-1
- rename: openobex -> openobex1 (so not to stomp openobex provided by fc3/fc4)

* Mon Mar 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.1-1
- 1.1

* Mon Jan 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-0.1.kde
- 1.0.1 (first try)

